gnutls_x509_crl_set_next_update(3)

NAME
gnutls_x509_crl_set_next_update - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crl_set_next_update(gnutls_x509_crl_t crl, time_t exp_time);

ARGUMENTS

gnutls_x509_crl_t crl
    should contain a gnutls_x509_crl_t type

time_t exp_time
    The actual time

DESCRIPTION
This function will set the time this CRL will be updated. This is an optional value to be set on a CRL and this call can be omitted when generating a CRL. Prior to GnuTLS 3.5.7, setting a nextUpdate field was required in order to generate a CRL.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/